{********************************************************}
{                                                        }
{                 Zeos Database Objects                  }
{              DB2 components registration               }
{                                                        }
{       Copyright (c) 1999-2001 Sergey Seroukhov         }
{    Copyright (c) 1999-2002 Zeos Development Group      }
{                                                        }
{********************************************************}

unit ZDb2SqlReg;

interface

{$IFNDEF LINUX}
{$INCLUDE ..\Zeos.inc}
{$ELSE}
{$INCLUDE ../Zeos.inc}
{$ENDIF}

{$IFNDEF LINUX}
{$INCLUDE ..\ZeosDef.inc}
{$ELSE}
{$INCLUDE ../ZeosDef.inc}
{$ENDIF}

procedure Register;

implementation

uses Classes, ZDb2SqlCon, ZDb2SqlTr, ZDb2SqlQuery
  {$IFDEF WITH_PROPEDIT}, ZDb2SqlProp
  {$IFDEF VERCLX}
     ,DesignEditors, DesignIntf
  {$ELSE}
    {$IFDEF VER150ABOVE}
      ,DesignIntf, DesignEditors
    {$ELSE}
      ,DsgnIntf
    {$ENDIF}
  {$ENDIF}
{$ENDIF};

{**********************************************************}

{ Register component in a component palette }
procedure Register;
begin
  RegisterComponents(ZEOS_DB_PALETTE, [TZZDb2SqlDatabase]);
(*
{$IFDEF WITH_PROPEDIT}
  RegisterPropertyEditor(TypeInfo(string), TZDb2SqlDatabase, 'Database',
    TZDb2SqlDatabaseNameProperty);
{$ENDIF}
*)

  RegisterComponents(ZEOS_DB_PALETTE, [TZZDb2SqlTransact]);

  RegisterComponents(ZEOS_DB_PALETTE, [TZZDb2SqlTable]);
  RegisterComponents(ZEOS_DB_PALETTE, [TZZDb2SqlQuery]);
{$IFDEF WITH_PROPEDIT}
  RegisterPropertyEditor(TypeInfo(string), TZZDb2SqlTable, 'TableName',
    TZZDb2SqlTableNameProperty);
{$ENDIF}
end;

end.
